API reference
Shipping
Wilaya delivery rates and quotes
Bulk Upsert Wilayas
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/shipping/bulkUpsertWilayas" \ -H "Content-Type: application/json" \ -d '{ "homePrice": 0, "isActive": true, "stopdeskPrice": 0 }'{}Delete By Wilaya
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/shipping/deleteByWilaya" \ -H "Content-Type: application/json" \ -d '{ "wilayaCode": "str" }'{}curl -X GET "https://www.prolifto.store/api/string/shipping-rates"{}Get Quote
Path Parameters
organizationSlug*string
Length
1 <= lengthQuery Parameters
deliveryType?string
Default
"HOME"Value in
"HOME" | "STOPDESK"wilayaCode*string
Length
1 <= lengthResponse Body
application/json
curl -X GET "https://www.prolifto.store/api/string/shipping-rates/quote?wilayaCode=string"{}Upsert Wilaya
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/shipping/upsertWilaya" \ -H "Content-Type: application/json" \ -d '{ "homePrice": 0, "isActive": true, "stopdeskPrice": 0, "wilayaCode": "str", "wilayaName": "string" }'{}